Index: /CKEditor/branches/prototype/_source/plugins/forms/dialogs/textarea.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/forms/dialogs/textarea.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/forms/dialogs/textarea.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 CKEDITOR.dialog.add( 'textarea', function( editor )
 {
@@ -45,5 +29,5 @@
 		return false;
 	};
-	
+
 	var readAttribute = function( page, attribute, input )
 	{
@@ -63,5 +47,5 @@
 			// Default: create a new element.
 			this.editMode = false;
-			
+
 			// IE BUG: Selection must be in the editor for getSelection() to work.
 			this.restoreSelection();
@@ -70,5 +54,5 @@
 				selection = editor.getSelection(),
 				ranges = selection.getRanges();
-				
+
 			// Check selection. Fill in all the relevant fields if there's already one link selected.
 			if ( ranges.length == 1 )
Index: /CKEditor/branches/prototype/_source/plugins/forms/dialogs/textfield.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/forms/dialogs/textfield.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/forms/dialogs/textfield.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 CKEDITOR.dialog.add( 'textfield', function( editor )
 {
@@ -47,5 +31,5 @@
 		return false;
 	};
-	
+
 	var readAttribute = function( page, attribute, input )
 	{
@@ -65,5 +49,5 @@
 			// Default: create a new element.
 			this.editMode = false;
-			
+
 			// IE BUG: Selection must be in the editor for getSelection() to work.
 			this.restoreSelection();
@@ -72,5 +56,5 @@
 				selection = editor.getSelection(),
 				ranges = selection.getRanges();
-				
+
 			// Check selection. Fill in all the relevant fields if there's already one link selected.
 			if ( ranges.length == 1 )
Index: /CKEditor/branches/prototype/_source/plugins/forms/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/forms/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/forms/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.plugins.add( 'forms',
@@ -116,5 +100,5 @@
 
 			oOption = this._getObject( oOption, false );
-			
+
 			if ( combo.$ && oOption.$ && oOption.$.tagName )
 			{
@@ -123,7 +107,7 @@
 				oOption.setValue( optionValue );
 			}
-			else 
+			else
 				return false;
-				
+
 			return oOption;
 		},
Index: /CKEditor/branches/prototype/_source/plugins/horizontalrule/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/horizontalrule/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/horizontalrule/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 /**
Index: /CKEditor/branches/prototype/_source/plugins/htmldataprocessor/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/htmldataprocessor/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/htmldataprocessor/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.plugins.add( 'htmldataprocessor',
Index: /CKEditor/branches/prototype/_source/plugins/htmlwriter/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/htmlwriter/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/htmlwriter/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 /**
Index: /CKEditor/branches/prototype/_source/plugins/image/dialogs/image.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/image/dialogs/image.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/image/dialogs/image.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 imageDialog = function( editor, dialogType )
@@ -204,5 +188,5 @@
 		dialog.editObj[ 'imagePreview' ].setAttribute( 'title', title );
 		dialog.editObj[ 'imagePreview' ].setAttribute( 'alt', alt );
-		
+
 		dialog.editObj[ 'imagePreview' ].setStyle( 'border', border + 'px solid black' );
 		dialog.editObj[ 'imagePreview' ].setStyle( 'margin-top', vspace + 'px' );
@@ -252,5 +236,5 @@
 		else
 			dialog.imageLockRatio = false;
-		
+
 		var ratioButton = CKEDITOR.document.getById( 'btnLockSizes' );
 		if ( dialog.imageLockRatio )
@@ -410,5 +394,5 @@
 			if ( !readAttribute.apply( this, [ 'info', '_cke_saved_url', 'txtUrl', imgObject ] ) )
 				readAttribute.apply( this, [ 'info', 'src', 'txtUrl', imgObject ] )
-	
+
 			readAttribute.apply( this, [ 'info', 'alt', 'txtAlt', imgObject ] );
 			readAttribute.apply( this, [ 'info', 'border', 'txtBorder', imgObject  ] );
@@ -420,5 +404,5 @@
 			readAttribute.apply( this, [ 'advanced', 'lang', 'txtLangCode', imgObject ] );
 			readAttribute.apply( this, [ 'advanced', 'longDesc', 'txtGenLongDescr', imgObject ] );
-			
+
 			if ( !readAttribute.apply( this, [ 'advanced', 'style', 'txtdlgGenStyle', imgObject ] ) )
 				if( imgObject.$.style.cssText )
@@ -432,5 +416,5 @@
 		return false;
 	};
-	
+
 	var readAttribute = function( page, attribute, input, object )
 	{
@@ -511,5 +495,5 @@
 			this.editObj[ 'link' ].setAttributes( this.changedAttibutes[ 'link' ] );
 
-			if ( this.editObj[ 'link' ].getAttribute( '_cke_saved_href' ) 
+			if ( this.editObj[ 'link' ].getAttribute( '_cke_saved_href' )
 				&& this.editObj[ 'link' ].getAttribute( '_cke_saved_href' ) != '' )
 				useLink = true;
@@ -521,5 +505,5 @@
 				this.restoreSelection();
 				this.clearSavedSelection();
-				
+
 				if ( useLink )
 					//Insert a new Link.
@@ -534,11 +518,11 @@
 					editor.insertElement( this.editObj[ 'image' ] );
 			}
-			else		// Image already exists.	
+			else		// Image already exists.
 			{
 				//Add a new link element.
 				if ( this.editMode[ 'link' ] == false && this.changedAttibutes[ 'link' ][ '_cke_saved_href' ] )
 				{
-					this.editObj[ 'image' ].insertBeforeMe( this.editObj[ 'link' ] );	
-					this.editObj[ 'image' ].appendTo( this.editObj[ 'link' ] );	
+					this.editObj[ 'image' ].insertBeforeMe( this.editObj[ 'link' ] );
+					this.editObj[ 'image' ].appendTo( this.editObj[ 'link' ] );
 				}
 				//Remove Link, Image exists.
@@ -593,5 +577,5 @@
 			//Hide loader.
 			CKEDITOR.document.getById( 'ImagePreviewLoader' ).setStyle( 'display', 'none' );
-			
+
 			// Check selection. Fill in all the relevant fields if there's already one link selected.
 			if ( ranges.length == 1 )
@@ -600,9 +584,9 @@
 				ranges[0].enlarge( CKEDITOR.ENLARGE_ELEMENT );
 				rangeRoot = ranges[0].getCommonAncestor( true );
-				
+
 				elementImg = rangeRoot.getAscendant( 'img', true );
 				elementA = rangeRoot.getAscendant( 'a', true );
 				elementInput = rangeRoot.getAscendant( 'input', true );
-				
+
 				if ( elementImg && !elementImg.getAttribute( '_cke_protected_html' ) )
 					element = elementImg;
@@ -611,8 +595,8 @@
 						element = elementA;
 					else
-						if ( elementInput && elementInput.getAttribute( 'type' ) 
+						if ( elementInput && elementInput.getAttribute( 'type' )
 						&& elementInput.getAttribute( 'type' ) == 'image' )
 							element = elementInput;
-				
+
 				if ( element )
 				{
@@ -625,5 +609,5 @@
 			updatePreview( this );
 
-			if ( !showPreview )		
+			if ( !showPreview )
 			{
 				// Show sample image
@@ -637,5 +621,5 @@
 			this.pushDefault();
 			this.getContentElement( 'info', 'txtUrl' ).focus();
-		},		
+		},
 		onLoad : function()
 		{
@@ -688,5 +672,5 @@
 					}, ratioButton );
 			}
-		},	
+		},
 		onHide : function()
 		{
@@ -805,5 +789,5 @@
 														},
 														validate: function()
-														{										
+														{
 															return addChange( 'width', this, 'image', function ()
 																{
@@ -849,9 +833,9 @@
 											{
 												type : 'html',
-												style : 'position:relative;top:-10px;height:20px',	
+												style : 'position:relative;top:-10px;height:20px',
 												html : '<div>'+
-													'<div onclick="" title="' + editor.lang.image.lockRatio + 
+													'<div onclick="" title="' + editor.lang.image.lockRatio +
 													'" class="BtnLocked" id="btnLockSizes"></div>' +
-													'<div onclick="" title="' + editor.lang.image.resetSize + 
+													'<div onclick="" title="' + editor.lang.image.resetSize +
 													'" class="BtnReset" id="btnResetSize"></div>'+
 													'</div>'
@@ -1002,5 +986,5 @@
 						{
 							this.getDialog().setValueOf( "Link", "txtUrl", "http://www.fckeditor.net/" );
-							
+
 						}
 					},
@@ -1146,5 +1130,5 @@
 						'default' : editor.config.pluginConfig.image.defaultValues.style,
 						validate : function()
-						{				
+						{
 							addChange( 'style', this, 'image' );
 							return true;
Index: /CKEditor/branches/prototype/_source/plugins/image/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/image/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/image/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.plugins.add( 'image',
Index: /CKEditor/branches/prototype/_source/plugins/keystrokes/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/keystrokes/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/keystrokes/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 // Register a plugin named "sample".
Index: /CKEditor/branches/prototype/_source/plugins/link/dialogs/anchor.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/link/dialogs/anchor.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/link/dialogs/anchor.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.dialog.add( 'anchor', function( editor )
@@ -28,5 +12,5 @@
 		this.editMode = true;
 		this.editObj = element;
-		
+
 		var attributeValue = this.editObj.getAttribute( 'name' );
 		if ( attributeValue == null )
@@ -93,5 +77,5 @@
 			this.pushDefault();
 			this.getContentElement( 'info', 'txtName' ).focus();
-		},		
+		},
 		onHide : function()
 		{
Index: /CKEditor/branches/prototype/_source/plugins/link/dialogs/link.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/link/dialogs/link.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/link/dialogs/link.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.dialog.add( 'link', function( editor )
@@ -75,5 +59,5 @@
 		urlRegex = /^((?:http|https|ftp|news):\/\/)?(.*)$/,
 		selectableTargets = /^(_(?:self|top|parent|blank))$/,
-		popupRegex = 
+		popupRegex =
 		/\s*window.open\(\s*this\.href\s*,\s*(?:'([^']*)'|null)\s*,\s*'([^']*)'\s*\)\s*;\s*return\s*false;*\s*/,
 		popupFeaturesRegex = /(?:^|,)([^=]+)=(\d+|yes|no)/gi,
@@ -120,5 +104,5 @@
 			this.setValueOf( 'info', 'protocol', editor.config.pluginConfig.link.defaultValues.protocol );
 			this.setValueOf( 'info', 'url', '' );
-		} 
+		}
 
 		// Load target and popup settings.
@@ -132,5 +116,5 @@
 				this.setValueOf( 'target', 'linkTargetType', 'popup' );
 				this.setValueOf( 'target', 'linkTargetName', onclickMatch[1] );
-				
+
 				var featureMatch;
 				while ( ( featureMatch = popupFeaturesRegex.exec( onclickMatch[2] ) ) )
@@ -701,5 +685,5 @@
 				ids.setValue( '' );
 			}
-			
+
 			// Fill in all the relevant fields if there's already one link selected.
 			if ( ranges.length == 1 )
@@ -769,5 +753,5 @@
 				default:
 			}
-			
+
 			// Popups and target.
 			if ( this.getValueOf( 'target', 'linkTargetType' ) == 'popup' )
@@ -837,5 +821,5 @@
 				style.type = CKEDITOR.STYLE_INLINE;		// need to override... dunno why.
 				style.apply( editor.document );
-				
+
 				// Id. Apply only to the first link.
 				if ( this.getValueOf( 'advanced', 'advId' ) != '' )
@@ -875,5 +859,5 @@
 			if ( editor.config.pluginConfig.link.showTargetTab == false )
 				this.hidePage( 'target' );		//Hide Target tab.
-				
+
 		},
 		onHide : function()
Index: /CKEditor/branches/prototype/_source/plugins/link/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/link/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/link/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.plugins.add( 'link',
Index: /CKEditor/branches/prototype/_source/plugins/newpage/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/newpage/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/newpage/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 /**
@@ -28,5 +12,5 @@
 {
 	init : function( editor, pluginPath )
-	{	
+	{
 		editor.addCommand( 'newpage', CKEDITOR.plugins.newpage );
 		editor.ui.addButton( 'NewPage',
@@ -35,5 +19,5 @@
 				command : 'newpage'
 			});
-		if ( editor.config.pluginConfig.newPage.resetToStartupContent )	
+		if ( editor.config.pluginConfig.newPage.resetToStartupContent )
 			CKEDITOR.plugins.newpage.newContent = editor.getData();
 		else
Index: /CKEditor/branches/prototype/_source/plugins/pagebreak/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/pagebreak/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/pagebreak/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 /**
@@ -28,5 +12,5 @@
 {
 	init : function( editor, pluginPath )
-	{	
+	{
 		editor.addCommand( 'pagebreak', CKEDITOR.plugins.pagebreak );
 		editor.ui.addButton( 'PageBreak',
Index: /CKEditor/branches/prototype/_source/plugins/print/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/print/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/print/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 /**
@@ -28,5 +12,5 @@
 {
 	init : function( editor, pluginPath )
-	{	
+	{
 		editor.addCommand( 'print', CKEDITOR.plugins.print );
 		editor.ui.addButton( 'Print',
Index: /CKEditor/branches/prototype/_source/plugins/removeformat/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/removeformat/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/removeformat/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.plugins.add( 'removeformat',
Index: /CKEditor/branches/prototype/_source/plugins/sample/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/sample/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/sample/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 /**
Index: /CKEditor/branches/prototype/_source/plugins/selection/plugin.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/selection/plugin.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/selection/plugin.js	(revision 2922)
@@ -1,22 +1,6 @@
 ﻿/*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 (function()
@@ -34,8 +18,8 @@
 		if ( !sel )
 			return;
-			
+
 		var firstElement = sel.getStartElement();
 		var currentPath = new CKEDITOR.dom.elementPath( firstElement );
-		
+
 		if ( !currentPath.compare( this._.selectionPreviousPath ) )
 		{
@@ -481,7 +465,7 @@
 
 				case CKEDITOR.SELECTION_TEXT :
-				
+
 					var range = this.getRanges()[0];
-					
+
 					if ( range )
 					{
@@ -491,13 +475,13 @@
 
 							node = range.startContainer;
-							
+
 							if ( node.type != CKEDITOR.NODE_ELEMENT )
 								return node.getParent();
-							
+
 							node = node.getChild( range.startOffset );
-							
+
 							if ( !node || node.type != CKEDITOR.NODE_ELEMENT )
 								return range.startContainer;
-							
+
 							var child = node.getFirst();
 							while (  child && child.type == CKEDITOR.NODE_ELEMENT )
@@ -506,5 +490,5 @@
 								child = child.getFirst();
 							}
-							
+
 							return node;
 						}
Index: /CKEditor/branches/prototype/_source/plugins/smiley/dialogs/smiley.js
===================================================================
--- /CKEditor/branches/prototype/_source/plugins/smiley/dialogs/smiley.js	(revision 2921)
+++ /CKEditor/branches/prototype/_source/plugins/smiley/dialogs/smiley.js	(revision 2922)
@@ -1,22 +1,6 @@
 /*
- * CKEditor - The text editor for Internet - http://ckeditor.com
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- */
+Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
+For licensing, see LICENSE.html or http://ckeditor.com/license
+*/
 
 CKEDITOR.dialog.add( 'smiley', function( editor )
@@ -38,8 +22,8 @@
 
 			this.getDialog().restoreSelection();
-			editor.insertElement( CKEDITOR.dom.element.createFromHtml( '<img src="' + 
-			CKEDITOR.tools.htmlEncode( target.src ) + '" title="' + 
-			CKEDITOR.tools.htmlEncode( target.title ) + '" alt="' + 
-			CKEDITOR.tools.htmlEncode( target.title ) + '" ' 
+			editor.insertElement( CKEDITOR.dom.element.createFromHtml( '<img src="' +
+			CKEDITOR.tools.htmlEncode( target.src ) + '" title="' +
+			CKEDITOR.tools.htmlEncode( target.title ) + '" alt="' +
+			CKEDITOR.tools.htmlEncode( target.title ) + '" '
 					+ '_cke_saved_src="' + CKEDITOR.tools.htmlEncode( target.src ) + '" />',
 				editor.document ) );
@@ -98,3 +82,2 @@
 	};
 } );
-
